org.apache.hc.client5.http.impl.auth

## Class HttpAuthenticator

- java.lang.Object
- - org.apache.hc.client5.http.impl.auth.HttpAuthenticator

    public class HttpAuthenticator
    extends Object

Since:
  4.3

### Constructor Summary

Constructors
Constructor and Description
`HttpAuthenticator()`
`HttpAuthenticator(org.apache.logging.log4j.Logger log)`

### Method Summary

Methods
`void` `addAuthResponse(org.apache.hc.core5.http.HttpHost host, ChallengeType challengeType, org.apache.hc.core5.http.HttpRequest request, AuthExchange authExchange, org.apache.hc.core5.http.protocol.HttpContext context)`
`boolean` `isChallenged(org.apache.hc.core5.http.HttpHost host, ChallengeType challengeType, org.apache.hc.core5.http.HttpResponse response, AuthExchange authExchange, org.apache.hc.core5.http.protocol.HttpContext context)`
`boolean` `prepareAuthResponse(org.apache.hc.core5.http.HttpHost host, ChallengeType challengeType, org.apache.hc.core5.http.HttpResponse response, AuthenticationStrategy authStrategy, AuthExchange authExchange, org.apache.hc.core5.http.protocol.HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpAuthenticator

    public HttpAuthenticator(org.apache.logging.log4j.Logger log)

#### HttpAuthenticator

    public HttpAuthenticator()

### Method Detail

#### isChallenged

    public boolean isChallenged(org.apache.hc.core5.http.HttpHost host,
                       ChallengeType challengeType,
                       org.apache.hc.core5.http.HttpResponse response,
                       AuthExchange authExchange,
                       org.apache.hc.core5.http.protocol.HttpContext context)

#### prepareAuthResponse

    public boolean prepareAuthResponse(org.apache.hc.core5.http.HttpHost host,
                              ChallengeType challengeType,
                              org.apache.hc.core5.http.HttpResponse response,
                              AuthenticationStrategy authStrategy,
                              AuthExchange authExchange,
                              org.apache.hc.core5.http.protocol.HttpContext context)

#### addAuthResponse

    public void addAuthResponse(org.apache.hc.core5.http.HttpHost host,
                       ChallengeType challengeType,
                       org.apache.hc.core5.http.HttpRequest request,
                       AuthExchange authExchange,
                       org.apache.hc.core5.http.protocol.HttpContext context)